%define dist .el5

Summary: Library to access the Huge TLB Filesystem
Name: libhugetlbfs
Version: 1.0.1
Release: 1%{?dist}.XOS.1
Group: System Environment/Libraries
License: LGPL
URL: http://libhugetlbfs.sourceforge.net
Source0: http://download.sourceforge.net/libhugetlbfs/libhugetlbfs-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%__id_u -n)
ExcludeArch: ia64 s390 s390x
Requires: %{name}-lib = %{?epoch:%{epoch}:}%{version}-%{release}

%description
The libhugetlbfs library interacts with the Linux hugetlbfs to make large pages
available to applications in a transparent manner. This package containes the
hugetlbfsd daemon.

%package devel
Summary: Development files for libhugetlbfs
Group: Development/Libraries

%description devel
This package contains special linker scripts for libhugetlbfs to enable making
applications which will store their executable text, it's initialized or BSS or
all of the above in hugepages.  This requires relinking an application, but
does not require source-level modifications.

%package lib
Summary: Library for using hugetlbfs
Group: System Environment/Libraries

%description lib
The libhugetlbfs library interacts with the Linux hugetlbfs to make large pages
available to applications in a transparent manner.

%prep
%setup -q

%build
make %{?_smp_mflags} PREFIX=%{_prefix} BUILDTYPE=NATIVEONLY

%install
rm -rf %{buildroot}
make DESTDIR=%{buildroot} PREFIX=%{_prefix} BUILDTYPE=NATIVEONLY install
# remove static lib
rm -f %{buildroot}%{_libdir}/*.a

%clean
rm -rf %{buildroot}

%post lib -p /sbin/ldconfig
%postun lib -p /sbin/ldconfig

%files
%defattr(-, root, root)
%_sbindir/hugetlbd

%files devel
%defattr(-, root, root)
%_datadir/libhugetlbfs

%files lib
%defattr(-, root, root)
%_libdir/*.so

%changelog
* Fri Sep 14 2007 X/OS Linux Team <xoslinux@xos.nl> - 1.0.1-1.el5.XOS.1
- Build for X/OS Linux 5.
- X/OS Linux source rpm based on libhugetlbfs-1.0.1-1.el5.src.rpm
  (md5sum of original source rpm: 0fe8c424b78b546b8f49faa549de7fa5).
- Include "dist" macro with value ".el5" to match the original release number.

* Mon Oct 30 2006 Nils Philippsen <nphilipp@redhat.com> - 1.0.1-1
- version 1.0.1
- split off -lib

* Thu Oct 19 2006 Nils Philippsen <nphilipp@redhat.com> - 1.0-1
- version 1.0

* Wed Sep 13 2006 Nils Philippsen <nphilipp@redhat.com> - 1.0-0.3.pre4.1
- version 1.0-pre4-1
- don't reference %%buildroot in LDSCRIPTDIR

* Wed Aug 23 2006 Nils Philippsen <nphilipp@redhat.com> - 1.0-0.3.pre3
- exclude s390, s390x architectures (as the package doesn't contain linkers
  scripts for these)

* Fri Aug 18 2006 Nils Philippsen <nphilipp@redhat.com> - 1.0-0.2.pre3
- put http:// in front of URL

* Thu Aug 17 2006 Nils Philippsen <nphilipp@redhat.com> - 1.0-0.1.pre3
- initial build
